homepage/urls.py
from django.urls import path
from . import views

app_name = 'homepage'

urlpatterns = [
    path('', views.home, name='home'),
    path('profile/', views.profile, name='profile'),

    path('hobby/', views.hobby, name='hobby'),
    path('education/', views.education, name='education'),

    path('sosmed/', views.sosmed, name='sosmed'),
    path('contact/', views.contact, name='contact'),

    path('unisub/', views.unisub, name='unisub'),
    path('<int:pk>', views.deletematkul, name='delete'),

    path('kegiatan/', views.kegiatan, name='kegiatan'),
    
]

story/urls.py
from django.urls import path, include
from django.contrib import admin

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('homepage.urls')),
]

homepage/models.py
from django.db import models

# Create your models here.
class Matkul(models.Model):
    mata_kuliah = models.CharField(max_length=50,default='')
    dosen = models.CharField(max_length=100,default='')
    sks = models.IntegerField()
    tahun = models.IntegerField()
    kelas = models.CharField(max_length=50,default='')

class kegiatan1(models.Model):
    nama = models.CharField(max_length=50, default='')

class kegiatan2(models.Model):
    nama = models.CharField(max_length=50, default='')

class kegiatan3(models.Model):
    nama = models.CharField(max_length=50, default='')

homepage/forms.py
from django import forms
from .models import kegiatan1,kegiatan2,kegiatan3

class matkulForm(forms.Form):

    mata_kuliah = forms.CharField(widget=forms.TextInput(attrs={
        'class': 'form-control',
        'placeholder': 'Mata Kuliah',
        'type' : 'text',
        'required': True,
    }))

    dosen = forms.CharField(widget=forms.TextInput(attrs={
        'class': 'form-control',
        'placeholder' : 'Nama Dosen',
        'type' : 'text',
        'required': True,
    }))

    sks = forms.IntegerField(widget=forms.NumberInput(attrs={
        'class': 'form-control',
        'placeholder':'Jumlah SKS',
        'type':'number',
        'required': True,
    }))


    tahun = forms.IntegerField(widget=forms.NumberInput(attrs={
        'class': 'form-control',
        'type' : 'number',
        'placeholder': 'Tahun',
        'required': True,
    }))

    kelas = forms.CharField(widget=forms.TextInput(attrs={
        'class': 'form-control',
        'type' : 'text',
        'placeholder': 'Kelas',
        'required': True,
    }))

class kegiatan1forms(forms.ModelForm):
    class Meta :
        model = kegiatan1
        fields = [
            'nama',
        ]

class kegiatan2forms(forms.ModelForm):
    class Meta :
        model = kegiatan2
        fields = [
            'nama',
        ]

class kegiatan3forms(forms.ModelForm):
    class Meta :
        model = kegiatan3
        fields = [
            'nama',
        ]

homepage/views.py
from django.shortcuts import render, redirect
from .models import Matkul, kegiatan1, kegiatan2, kegiatan3
from .forms import matkulForm, kegiatan1forms, kegiatan2forms, kegiatan3forms


# Create your views here.
def home(request):
    return render(request, 'homePage.html')

def profile(request):
    return render(request, 'profilePage.html')

def hobby(request):
    return render(request, 'hobbyPage.html')

def education(request):
    return render(request, 'educationPage.html')

def sosmed(request):
    return render(request, 'socialmediaPage.html')

def contact(request):
    return render(request, 'contactmePage.html')

def unisub(request):
    if request.method == "POST":
        form = matkulForm(request.POST)
        if form.is_valid():
                u = Matkul.objects.create(mata_kuliah=request.POST['mata_kuliah'],dosen=request.POST['dosen'],sks=request.POST['sks'],tahun=request.POST['tahun'],kelas=request.POST['kelas'])
                u.save()
        return redirect('/unisub')
    else:
        matakuliah = Matkul.objects.all()
        form = matkulForm()
        response = {"matakuliah":matakuliah, 'form' : form}
        return render(request,'unisub.html',response)


def deletematkul(request,pk):
    if request.method == 'POST':
        form = matkulForm(request.POST)
        if form.is_valid():
            formkuliah = Matkul()
            formkuliah.mata_kuliah = form.cleaned_data['mata_kuliah']
            formkuliah.dosen = form.cleaned_data['dosen']
            formkuliah.sks = form.cleaned_data['sks']
            formkuliah.tahun = form.cleaned_data['tahun']
            formkuliah.kelas = form.cleaned_data['kelas']
            formkuliah.save()
        return redirect('/unisub')
    else:
        Matkul.objects.filter(pk=pk).delete()
        matakuliah = Matkul.objects.all()
        form = matkulForm()        

    response = {'form':form, 'matakuliah':matakuliah}
    return render(request, 'unisub.html', response)

def kegiatan (request) :
    if request.method == 'POST' and 'btn_form_game' in request.POST:
            form_game = kegiatan1forms(request.POST)
            if form_game.is_valid():
                form_game.save()
    elif request.method == 'POST' and 'btn_form_belajar' in request.POST:
        form_belajar = kegiatan2forms(request.POST)
        if form_belajar.is_valid():
            form_belajar.save()
    elif request.method == 'POST' and 'btn_form_futsal' in request.POST:
        form_futsal =kegiatan3forms(request.POST)
        if form_futsal.is_valid():
            form_futsal.save()
        
    form_game = kegiatan1forms()
    form_belajar = kegiatan2forms()
    form_futsal = kegiatan3forms()
    peserta_game = kegiatan1.objects.all()
    peserta_belajar = kegiatan2.objects.all()
    peserta_futsal = kegiatan3.objects.all()
    context = {
        'list_peserta_game': peserta_game,
        'list_peserta_belajar':peserta_belajar,
        'list_peserta_futsal':peserta_futsal,
        'form_game':form_game,
        'form_belajar':form_belajar,
        'form_futsal':form_futsal,
        }
    return render(request, 'kegiatanPage.html' ,context)


      

homepage/templates/contactmePage.html
{% load static %}
<html>
<head>
	<title>Rafidan Contact</title>

	<!-- file CSS -->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
	<link rel="stylesheet" type="text/css" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
	<link href='https://fonts.googleapis.com/css?family=Bree Serif' rel='stylesheet'>
	<link rel="stylesheet" href="{% static 'style.css' %}">

	<!-- JS, Popper.js, and jQuery -->
	<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
	<meta name="viewport" content="width=device-width, initial-scale=1.0">

</head>

<body class="overflow-hidden">
	
	<section class="sct6">
		<div class="row">
			<div class="col-md-6">
				
			</div>
			<div class="col-md-6">
				<a href="{% url 'homepage:home' %}" style="text-decoration:none;color:white; ">
					<i class="fa fa-home font-sct6 font-black hover" style="float: right;"></i>
				</a>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12" style="margin-top: 8em;">
				<div class="font-white font-contact1">Contact me. </div>
				<div class="font-white font-contact2">Contact me. </div>
				<div class="font-white font-contact3">Contact me. </div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12" style="margin-bottom: 5em">
				<div class="card black">
					<div class="card-body" style="padding: 5em 0">
						<div class="container">
							<div class="row">
								<div class="col-md-4" style="text-align:center;">
									<a href="https://line.me/ti/p/VOXwhJPFMW#~">
										<img class="rounded-circle hover contact-image" src="{% static 'line.png' %}" style="width: 50%;">
									</a>
								</div>

								<div class="col-md-4" style="text-align:center;">
									<a href="#">
										<img class="hover contact-image" src="{% static 'gmail.png' %}" style="width: 50%;">
									</a>
								</div>

								<div class="col-md-4" style="text-align:center;">
									<a href="https://api.whatsapp.com/send?phone=6281291121117&text=&source=&data=&app_absent=">
										<img class="rounded-circle hover contact-image" src="{% static 'whatsapp.png' %}" style="width: 50%;">
									</a>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>


</body>
</html>

homepage/templates/educationPage.html
{% load static %}
<html>
<head>
	<title>Rafidan Educational Background</title>

	<!-- file CSS -->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
	<link rel="stylesheet" type="text/css" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
	<link href='https://fonts.googleapis.com/css?family=Bree Serif' rel='stylesheet'>
	<link rel="stylesheet" href="{% static 'style.css' %}">

	<!-- JS, Popper.js, and jQuery -->
	<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>

<body class="overflow-hidden">
	
	<section class="sct4">
		<div class="row">
			<div class="col-md-6">
			<div class="container d-flex justify-content-center">
				<img src="{% static 'educational.png' %}" class="hover educational-img">
			</div>
			</div>
			<div class="col-md-6">
				<div class="card black" style="height: 100%; padding: 1em 0;">
					<div class="card-body">
						<a href="{% url 'homepage:home' %}" style="text-decoration:none;color:white; ">
							<i class="fa fa-home font-sct4 font-white hover3" style="float: right;" ></i>
						</a>
						<div class="font-white education-font2">2005-2007</div>
						<div class="font-white education-font1">Nurul Fikri Islamic Kindergarten</div>
						<div class="font-white education-font2">2007-2013</div>
						<div class="font-white education-font3">Nurul Fikri Islamic Elementary School</div>
						<div class="font-white education-font2">2013-2016</div>
						<div class="font-white education-font3">3 Depok Junior High School</div>
						<div class="font-white education-font2">2016-2019</div>
						<div class="font-white education-font3">4 Depok Junior High School</div>
						<div class="font-white education-font2">2019-Now</div>
						<div class="font-white education-font3">University of Indonesia</div>
					</div>
				</div>
			</div>
		</div>
	</section>


</body>
</html>

homepage/templates/hobbyPage.html
{% load static %}
<html>
<head>
	<title>Rafidan Hobby</title>

	<!-- file CSS -->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
	<link rel="stylesheet" type="text/css" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
	<link href='https://fonts.googleapis.com/css?family=Bree Serif' rel='stylesheet'>
	<link rel="stylesheet" href="{% static 'style.css' %}">

	<!-- JS, Popper.js, and jQuery -->
	<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>

<body class="overflow-hidden">
	
	<section class="sct3">
		<div class="row">
			<div class="col-md-6" style="padding-bottom: 4em">
				<div class="container" style="max-width: 600px">
					<div class="margin-1top font-white hobby-font1">Playing game is in my blood.</div>
					<div class="font-white hobby-font2">Yup my hobby is playing games, especially online multiplayer games. Currently im playing this game.</div>
					<div class="margin-3top">
						<div id="carouselExampleControls" class="carousel slide" data-ride="carousel">
						  <div class="carousel-inner">
						  	<div class="carousel-item active">
						    	<img class="d-block w-100" src="{% static 'valorant.jpg' %}" alt="First slide">
						    </div>
						    <div class="carousel-item">
						    	<img class="d-block w-100" src="{% static 'pubg.jpg' %}" alt="Second slide">
						    </div>
						    <div class="carousel-item">
						    	<img class="d-block w-100" src="{% static 'dota2.jpg' %}" alt="Third slide">
						    </div>
						    <div class="carousel-item">
						    	<img class="d-block w-100" src="{% static 'gta5.jpg' %}" alt="Third slide">
						    </div>
						    <div class="carousel-item">
						    	<img class="d-block w-100" src="{% static 'fifa2020.jpg' %}" alt="Third slide">
						    </div>
						    <div class="carousel-item">
						    	<img class="d-block w-100" src="{% static 'pointblank.jpg' %}" alt="Third slide">
						    </div>
						 	<div class="carousel-item">
						    	<img class="d-block w-100" src="{% static 'amongus.jpg' %}" alt="Third slide">
						    </div>
						  </div>
						  <a class="carousel-control-prev" href="#carouselExampleControls" role="button" data-slide="prev">
						  	<span class="carousel-control-prev-icon" aria-hidden="true"></span>
						  	<span class="sr-only">Previous</span>
						  </a>
						  <a class="carousel-control-next" href="#carouselExampleControls" role="button" data-slide="next">
						  	<span class="carousel-control-next-icon" aria-hidden="true"></span>
						    <span class="sr-only">Next</span>
						  </a>
						</div>
					</div>
				</div>
			</div>
			<div class="col-md-5">
				<div class="container d-flex justify-content-center">
					<div class="card black rounded-circle margin-3top hover3" style="width: 350px;">
						<div class="card-body" style="text-align: center;padding: 4em ">
							<div class="font-white" style="font-size: 50px;font-weight: bold;">Hobby.</div>
							<div class="font-white" style="font-size: 50px;font-weight: bold;margin-top: -0.7em">Hobby.</div>
							<div class="font-white" style="font-size: 50px;font-weight: bold;margin-top: -0.7em">Hobby.</div>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-4">
						
					</div>
					<div class="col-md-8" style="padding-top: 50px;">	
						<a href="https://discord.com/channels/695170734355513344/708312290918662144">
							<div class="font-white discord-font wrap hover" style="text-align: center;">
								Add me on Discord.<img class="discord-img" src="{% static 'discord.jpg' %}">
							</div>
						</a>
					</div>	
				</div>
			</div>
			<div class="col-md-1">
				<a href="{% url 'homepage:home' %}" style="text-decoration:none;color:white; ">
					<i class="fa fa-home font-sct3 font-white hover" style="float:right;" ></i>
				</a>
			</div>
		</div>
	</section>

</body>
</html>

homepage/templates/homePage.html
{% load static %}
<html>
<head>
	<title>Rafidan Home</title>

	<!-- file CSS -->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
	<link rel="stylesheet" type="text/css" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
	<link href='https://fonts.googleapis.com/css?family=Bree Serif' rel='stylesheet'>
	<link rel="stylesheet" href="{% static 'style.css' %}">

	<!-- JS, Popper.js, and jQuery -->
	<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>

<body class="overflow-hidden">
	<section class="sct1">
		<div class="margin-body">
			<div class="row">

				<div class="col-md-8">
					<div class="card black margin-2top" style="height: 93%;">
						<div class="card-body">
							<div class="row">
								<div class="col-md-6">
									<div class="image">
										<img class="rounded-circle home-img" src="{% static 'rafi.png' %}">
									</div>
								</div>
								<div class="col-md-6">
									<div style="margin-top: 1em">
										<p class="font-white">Hello I am,</p>
										<h1 class="font-white font-thick !important">Rafidan Musyaffa,</h1>
										<h1 class="font-white font-thick !important">Irawan</h1>
										<h2 class="font-white font-thicker margin-1top !important">1906302863</h2>
										<p class="font-white margin-2top" style="font-size: 15px;">This cruel world need kindness from people like me,</p>
										<p class="font-white" style="font-size: 15px;">to see my previous web click the button below.</p>
										<a href="https://rafidanprofile.herokuapp.com/">
											<button class="btn btn-danger hover2">Story 1</button>
										</a>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>

				<div class="col-md-4">
					<div class="row">
						<div class="col-md-12">
							<a href="{% url 'homepage:profile' %}" style="text-decoration:none;color:white; ">
								<div class="card hover black margin-3top" style="margin-bottom: 3em;padding: 0.5em 0;">
									<div class=" card-body">
										<div class="col-md-12" style="text-align: center;">
											<i class="fa fa-user font-sct1" ></i>
											<h3 class="font-white">Profile</h3>
										</div>
									</div>
								</div>
							</a>
						</div>
					</div>

					<div class="row">
						<div class="col-md-12">
							<a href="{% url 'homepage:hobby' %}" style="text-decoration:none;color:white;">
								<div class="card hover black margin-1bottom">
									<div class=" card-body">
										<div class="col-md-12" style="text-align: center;">
											<i class="fa fa-gamepad font-sct1"></i>
											<h3 class="font-white">Hobby</h3>
										</div>
									</div>
								</div>	
							</a>
						</div>
					</div>
				</div>
			</div>


			<div class="row" style="padding-top: 1em;">

				<div class="col-md-3">
					<a href="{% url 'homepage:education' %}" style="text-decoration:none;color:white;">	
						<div class="card hover black padding-sct1">
							<div class="row">
								<div class="col-md-12">
									<h2 class="font-white" style="text-align: center;">Educational Background</h2>
								</div>
							</div>
						</div>
					</a>
				</div>

				<div class="col-md-3">
					<a href="{% url 'homepage:sosmed' %}" style="text-decoration:none;color:white;">
						<div class="card hover black  padding-sosmed">
							<div class="row">
								<div class="col-md-12 ">
									<h2 class="font-white" style="text-align: center;">Social Media</h2>
								</div>
							</div>
						</div>
					</a>
				</div>

				<div class="col-md-3">
					<a href="{% url 'homepage:contact' %}" style="text-decoration:none;color:white;">
						<div class="card hover black margin-3bottom padding-sct1" style="text-align: center;" >
							<h2 class="font-white">Contact</h2>
							<h2 class="font-white">Me.</h2>
						</div>
					</a>
				</div>

				<div class="col-md-3">
					<a href="{% url 'homepage:unisub' %}" style="text-decoration:none;color:white;">
						<div class="card hover black margin-3bottom padding-sct1" style="text-align: center;" >
							<h2 class="font-white">University</h2>
							<h2 class="font-white">Subject</h2>
						</div>
					</a>
				</div>

			</div>
		</div>
	</section>

</body>
</html>

homepage/templates/unisub.html
{% load static %}
<html>
<head>
	<title>Rafidan University Subject</title>

	<!-- file CSS -->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
	<link rel="stylesheet" type="text/css" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
	<link href='https://fonts.googleapis.com/css?family=Bree Serif' rel='stylesheet'>
	<link rel="stylesheet" href="{% static 'style.css' %}">

	<!-- JS, Popper.js, and jQuery -->
	<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>

<body class="overflow-hidden">
	
	<section class="sct7">
		<div class="row">
			<div class="col-md-12">
				<a href="{% url 'homepage:home' %}" style="text-decoration:none;color:white; ">
					<i class="fa fa-home font-sct3 font-white hover" style="float:right;" ></i>
				</a>
			</div>
		</div>
		<div class="container">
			<div class="row">
				<div class="col-md-12 ">
					<h1 class="font-white " style="text-align: center; padding-bottom: 1em;">My Schedule</h1>
				</div>
			</div>
            <div class="row">
                <div class="col-md-6" style="text-align: left;">
                    <form action='' method="POST">
						{% csrf_token %}
						<div class=" font-white ">
						{{ form }}
						</div>
                        <div class="centre-items" style="margin-top: 50px; text-align: center;">
                            <input type="submit" class="btn btn-primary " value="Add Schedule" style="margin-bottom: 150px;">
                        </div>
                    </form>
                </div>
                <div class="col-md-6" id="tulisan">
                    <table class="table font-white">
                        <thead style="text-align: center;">
                            <tr>
                            <th scope="col">Mata Kuliah</th>
                            <th scope="col">Dosen</th>
                            <th scope="col">SKS</th>
                            <th scope="col">Tahun</th>
                            <th scope="col">Kelas</th>
                            <th scope="col">Delete</th>
                            </tr>
                        </thead>
                        <tbody style="text-align: center;">
                            {% for mat in matakuliah %}
                                <tr>
                                <th scope="row">{{mat.mata_kuliah}}</th>
                                <td>{{mat.dosen}}</td>
                                <td>{{mat.sks}}</td>
                                <td>{{mat.tahun}}</td>
                                <td>{{mat.kelas}}</td>
                                <td>
									<a href="{% url 'homepage:delete' pk=mat.pk %}">
									<button class="btn btn-icon btn-danger"><i class="fa fa-trash"></i></button></a>
								</td>
                                </tr>
                            {% endfor %}
                        </tbody>
                    </table>
				</div>
			</div>
        </div>
	</section>

</body>
</html>